use low2, clear

* Set workbook for export
putexcel set low.xlsx, replace

* Add text and merge cells
putexcel A1 = "Analysis of birthweights", bold
putexcel A1:C1, border(bottom, thick) merge hcenter

putexcel A3 = "We have data on birthweights from Hosmer, "
putexcel A4 = "Lemeshow, and Sturdivant(2013, 24). "
putexcel A6 = "Low birthweights by maternal age"
putexcel A6:C6, merge border(bottom,double)

* Summary statistics for low birthweights
table (agegrp) (), stat(fvpercent low)
collect style cell border_block[corner row-header], border(right, pattern(nil))
collect style cell border_block[corner column-header], border(top, pattern(nil))

* Export the table from this collection
putexcel A8 = collect

putexcel A18 = "Linear regression model of infant birthweights"
putexcel A18:C18, merge

* Export table of regression results
collect create regression
collect: regress bwt i.smoke age
collect style use myreg, replace 
putexcel A19 = collect

* Export bar graph 
graph hbar bwt, over(ht) over(smoke) asyvars ///
 title(Baby birthweights) ytitle(Average birthweight (grams)) ///
 subtitle(by mother's smoking status and history of hypertension)
graph export bweight.png, replace height(300)
putexcel E6 = image(bweight.png)
putexcel save
